package com.yfd.platform.modules.algorithm.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yfd.platform.config.ResponseResult;
import com.yfd.platform.modules.algorithm.domain.AlgorithmArrangeDevice;
import com.yfd.platform.modules.algorithm.service.IAlgorithmArrangeDeviceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-06
 */
@RestController
@RequestMapping("/algorithm/algorithm-arrange-device")
@Api(value = "AlgorithmArrangeDeviceController", tags = "算法布点详情模块")
public class AlgorithmArrangeDeviceController {

    @Resource
    private IAlgorithmArrangeDeviceService algorithmArrangeDeviceService;

    @GetMapping("/getArrangeDeviceInfo")
    @ApiOperation("查询布点区域的设备数量")
    public ResponseResult getArrangeDeviceInfo(String arrangeId) {
        List<Map<String, Object>> maps = algorithmArrangeDeviceService.getArrangeDeviceInfo(arrangeId);
        return ResponseResult.successData(maps);
    }

    @PostMapping("/saveBatchArrange")
    @ApiOperation("批量保存或修改布点数据")
    public ResponseResult saveBatchArrange(@RequestBody List<AlgorithmArrangeDevice> algorithmArrangeDevices) {
        boolean b = algorithmArrangeDeviceService.saveOrUpdateBatch(algorithmArrangeDevices);
        if (b) {
            return ResponseResult.success();
        } else {
            return ResponseResult.error();
        }
    }

    @GetMapping("/getArrangeDeviceById")
    @ApiOperation("根据ID查询当前布点详情")
    public ResponseResult getArrangeDeviceById(String arrangeId) {
        LambdaQueryWrapper<AlgorithmArrangeDevice> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(AlgorithmArrangeDevice::getArrangeId, arrangeId);
        List<Map<String, Object>> maps = algorithmArrangeDeviceService.listMaps(queryWrapper);
        return ResponseResult.successData(maps);
    }
}
