package com.yfd.platform.modules.algorithm.service;

import com.yfd.platform.modules.algorithm.domain.AlgorithmArrange;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-06
 */
public interface IAlgorithmArrangeService extends IService<AlgorithmArrange> {

    /***********************************
    * 用途说明: 调用算法布点API
    * 参数说明 id : 算法布点ID
    * 返回值说明: com.yfd.platform.modules.algorithm.domain.AlgorithmArrange
    ***********************************/
    AlgorithmArrange callAlgorithmArrange(String id);

    /***********************************
    * 用途说明: 上传文件
    * 参数说明 file 文件域
    * 返回值说明: java.lang.String
    ***********************************/
    String uploadImage(MultipartFile file);

    boolean removeImage(String filePath);
}
