import request from '@/utils/request';

//根据主设备类型获取主设备
export function getMainDeviceByType(params: any) {
    return request({
        url: '/basedata/substation-maindevice/getMainDeviceByType',
        method: 'get',
        params: params
    });
}
//查询算法布点
export function getAlgorithmArrangePage(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/getAlgorithmArrangePage',
        method: 'get',
        params: params
    });
}
//新增算法布点
export function saveAlgorithmArrange(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/saveAlgorithmArrange',
        method: 'post',
        data: params,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    });
}
//调用算法布点API
export function callAlgorithmArrange(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/callAlgorithmArrange',
        method: 'post',
        params: params,
    });
}
//根据Id查询算法布点
export function getArrangeDeviceById(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange-device/getArrangeDeviceById',
        method: 'get',
        params: params,
    });
}
//修改算法布点
export function updateAlgorithmArrange(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/updateAlgorithmArrange',
        method: 'post',
        data: params,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    });
}
//保存布点详情
export function saveArrangeDevice(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/saveArrangeDevice',
        method: 'post',
        data: params,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    });
}
//查询布点区域的设备数量
export function getArrangeDeviceInfo(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange-device/getArrangeDeviceInfo',
        method: 'get',
        params: params,
    });
}
//创建布点报告
export function createArrangeById(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/createArrangeById',
        method: 'post',
        params: params,
    });
}
//下载布点报告
export function downloadArrangeReport(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/downloadArrangeReport',
        method: 'get',
        params: params,
        responseType: 'arraybuffer',
    });
}
//删除布点报告
export function deleteAlgorithmArrange(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/deleteAlgorithmArrange',
        method: 'post',
        params: params,
    });
}
//预览方案图片
export function viewFile(params: any) {
    return request({
        url: '/algorithm/algorithm-arrange/viewFile',
        method: 'get',
        params: params,
        responseType: 'blob', 
    });
}